Bug 449213 - Crash in on_sqle_host_changed [at tools/sql_editor.c:241] when attempting to open database
Crash in on_sqle_host_changed [at tools/sql_editor.c:241] when attempting to ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pguiman (Show other bugs)
9
All Linux
low Severity high
: ---
: ---
Assigned To: Ondrej Dvoracek
Fedora Extras Quality Assurance
:
Depends On: 468160
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-31 07:48 EDT by Allan Engelhardt
Modified: 2009-07-14 12:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:05:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bug buddy stack trace for first type crash (51.91 KB, text/plain)
2008-05-31 07:48 EDT, Allan Engelhardt
no flags Details
Bug buddy stack trace for second type crash (51.61 KB, text/plain)
2008-05-31 07:49 EDT, Allan Engelhardt
no flags Details

  None (edit)
Description Allan Engelhardt 2008-05-31 07:48:38 EDT
Description of problem:

Started app for the first time and created two connections to local server
(hostname is empty '').  App complained about invalid password the first two
times I tried to open, then crashed third time.

Version-Release number of selected component (if applicable):

pguiman-0.0.1-4.fc9.x86_64

Related components:

# rpm -qf $(ldd /usr/bin/pguiman | awk '{print $3}' | grep '^/') | sort -u
atk-1.22.0-1.fc9.x86_64
cairo-1.6.4-1.fc9.x86_64
e2fsprogs-libs-1.40.8-3.fc9.x86_64
expat-2.0.1-5.x86_64
fontconfig-2.5.0-2.fc9.x86_64
freetype-freeworld-2.3.5-3.lvn8.x86_64
glib2-2.16.3-5.fc9.x86_64
glibc-2.8-3.x86_64
gtk2-2.12.9-5.fc9.x86_64
keyutils-libs-1.2-3.fc9.x86_64
krb5-libs-1.6.3-10.fc9.x86_64
libglade2-2.6.2-5.fc9.x86_64
libpng-1.2.24-1.fc9.x86_64
libselinux-2.0.64-2.fc9.x86_64
libX11-1.1.4-1.fc9.x86_64
libXau-1.0.3-5.fc9.x86_64
libxcb-1.1-4.fc9.x86_64
libXcomposite-0.4.0-4.fc9.x86_64
libXcursor-1.1.9-2.fc9.x86_64
libXdmcp-1.0.2-5.fc9.x86_64
libXext-1.0.4-1.fc9.x86_64
libXfixes-4.0.3-3.fc9.x86_64
libXi-1.1.3-4.fc9.x86_64
libXinerama-1.0.3-1.fc9.x86_64
libxml2-2.6.32-2.fc9.x86_64
libXrandr-1.2.2-3.fc9.x86_64
libXrender-0.9.4-3.fc9.x86_64
openssl-0.9.8g-9.fc9.x86_64
pango-1.20.1-1.fc9.x86_64
pixman-0.10.0-1.fc9.x86_64
postgresql-libs-8.3.1-1.fc9.x86_64
zlib-1.2.3-18.fc9.x86_64



How reproducible:

Fairly reproducible, but may take a few attempts

Steps to Reproduce:
1. With a new installation of the app, create a connection to a local database.
 Leave hostname and password blank.
2. Try to open the database.  Even with the right password the app refuses.  Try
a few times.  (First bug report attached)
3. If that doesn't crash the app, then try to delete the connection (second bug
report)
  
Actual results: Bug buddy to the 'rescue'


Expected results: No crash


Additional info: Stack trace with debug symbols attached.
Comment 1 Allan Engelhardt 2008-05-31 07:48:38 EDT
Created attachment 307270 [details]
Bug buddy stack trace for first type crash
Comment 2 Allan Engelhardt 2008-05-31 07:49:37 EDT
Created attachment 307271 [details]
Bug buddy stack trace for second type crash
Comment 3 Michael Schwendt 2008-10-23 19:22:10 EDT
Confirmed. This app crashes easily.

It crashes because of an invalid array index (i = -1) in line 241
in tools/sql_editor.c

Beyond that, there are further bugs lurking. E.g. it fails to
connect and repeatedly complains "Error during retrieving data."
for subsequent attempts.

[...]

The Fedora package is orphaned, see bug 468160.
The missing packager is the upstream developer, too.
Comment 4 Bug Zapper 2009-06-09 21:18:59 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 12:05:49 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.